uniform mat4 u_ModelView;
uniform mat4 u_Projection;

attribute vec4 a_Vertex;
attribute vec4 a_Color;
attribute vec3 a_Normal;

varying vec4 v_Color;
varying vec3 v_Normal;

void main() {
	v_Color = a_Color;
	v_Normal = normalize(mat3(u_ModelView) * a_Normal);
	
	gl_Position = u_Projection * u_ModelView * a_Vertex;
}